define([
  "core/js/views/menuItemView"
], function(MenuItemView) {

  var BoxMenuItemView = MenuItemView.extend({

    events: {
      'click .js-btn-click' : 'onClickMenuItemButton'      
    },

    onClickMenuItemButton: function(event) {
      
      if (event && event.preventDefault) event.preventDefault();
      if (this.model.get('_isLocked')) return;
      Backbone.history.navigate('#/id/' + this.model.get('_id'), {trigger: true});
      
      //$('html').css('background-image', 'url("assets/RR_EPL_scenario_bg.jpg")');
    }, 
  }, {
    className: 'boxmenu-item',
    template: 'boxMenuItem'
  });
 
  return BoxMenuItemView;

});
 